import { ArraySchemaFieldOption, ArrayValidSchemaField, BoolSchemaFieldOption, BoolValidSchemaField, IntegerSchemaFieldOption, IntegerValidSchemaField, NumberSchemaFieldOption, NumberValidSchemaField, ObjectSchemaFieldOption, ObjectValidSchemaField, Schema, SchemaMenuOption, SchemaType, SchemaTypeOption, StringSchemaFieldOption, StringValidSchemaField } from './types';
export declare const defaultSchema: Schema;
export declare const schemaTypes: SchemaTypeOption[];
export declare const formatOptions: {
    value: string;
    label: string;
}[];
export declare const stringValidSchemaProperties: StringValidSchemaField[];
export declare const numberValidSchemaProperties: NumberValidSchemaField[];
export declare const integerValidSchemaProperties: IntegerValidSchemaField[];
export declare const boolValidSchemaProperties: BoolValidSchemaField[];
export declare const arrayValidSchemaProperties: ArrayValidSchemaField[];
export declare const objectValidSchemaProperties: ObjectValidSchemaField[];
export declare const stringSchemaOptions: StringSchemaFieldOption[];
export declare const numberSchemaOptions: NumberSchemaFieldOption[];
export declare const integerSchemaOptions: IntegerSchemaFieldOption[];
export declare const boolSchemaOptions: BoolSchemaFieldOption[];
export declare const objectSchemaOptions: ObjectSchemaFieldOption[];
export declare const arraySchemaOptions: ArraySchemaFieldOption[];
export declare const typeToOptions: Record<SchemaType, SchemaMenuOption[]>;
export declare const typeToValidFields: Record<SchemaType, string[]>;
